locked
File Share upload RRS feed

  • Question

  • Hi, Successfully uploaded files into file share. When checked in Cloud Shell bash, file names ended with asterisk symbol as below. 

    secret.txt*

    7z.exe*

    arjuna@Azure:~/clouddrive$ 7z.exe
    bash: 7z.exe: command not found


    Friday, October 25, 2019 12:09 AM

All replies

  • I tried reproduce the issue in my Lab, I didn’t get any asterisk symbol. Can you try the below mentioned cmdlets in the bash and let me know the status?

    az storage file list --share-name
                         [--account-key]
                         [--account-name]
                         [--connection-string]
                         [--exclude-dir]
                         [--marker]
                         [--num-results]
                         [--path]
                         [--sas-token]
                         [--snapshot]
                         [--subscription]
                         [--timeout]
    az storage file list --account-key R1xxxxxxxxxPYPcGXFiVxxxxxxxY+7d6DWQRRrxxxxPWvKg== --account-name sumarigodiag --share-name fileshareupload --output table


    Hope this helps! 

    Kindly let us know if the above helps or you need further assistance on this issue.
    ------------------------------------------------------------------------------------------

    Do click on "Mark as Answer" and Upvote on the post that helps you, this can be beneficial to other community members.

    Friday, October 25, 2019 6:58 AM
  • Thank you Sumanth, for looking into this. I tried look into using the az file list cmd, ended up in different error.

    arjuna@Azure:~/clouddrive$ az storage file list --account-key kJZZZZZZZZYYYYYYYYY/5y+KKK/8oXXXXXX== --account-name aras02 --share-name ars02 --output table
    The command failed with an unexpected error. Here is the traceback:

    HTTPSConnectionPool(host='arjunas02.file.core.windows.net', port=443): Max retries exceeded with url: /arjunfs02?restype=directory&comp=list&maxresults=5000 (Caused byNewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f20cf182358>: Failed to establish a new connection: [Errno -2] Name or service not known',))
    Traceback (most recent call last):
      File "/opt/az/lib/python3.6/site-packages/urllib3/connection.py", line 160, in _new_conn
        (self._dns_host, self.port), self.timeout, **extra_kw)
      File "/opt/az/lib/python3.6/site-packages/urllib3/util/connection.py", line 57, in create_connection
        for res in socket.getaddrinfo(host, port, family, socket.SOCK_STREAM):
      File "/opt/az/lib/python3.6/socket.py", line 745, in getaddrinfo
        for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
    socket.gaierror: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/opt/az/lib/python3.6/site-packages/urllib3/connectionpool.py", line 603, in urlopen
        chunked=chunked)
      File "/opt/az/lib/python3.6/site-packages/urllib3/connectionpool.py", line 344, in _make_request
        self._validate_conn(conn)
      File "/opt/az/lib/python3.6/site-packages/urllib3/connectionpool.py", line 843, in _validate_conn
        conn.connect()
      File "/opt/az/lib/python3.6/site-packages/urllib3/connection.py", line 316, in connect
        conn = self._new_conn()
      File "/opt/az/lib/python3.6/site-packages/urllib3/connection.py", line 169, in _new_conn
        self, "Failed to establish a new connection: %s" % e)
    urllib3.exceptions.NewConnectionError: <urllib3.connection.VerifiedHTTPSConnection object at 0x7f20cf182358>: Failed to establish a new connection: [Errno -2] Name or service not known

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/opt/az/lib/python3.6/site-packages/requests/adapters.py", line 449, in send
        timeout=timeout
      File "/opt/az/lib/python3.6/site-packages/urllib3/connectionpool.py", line 641, in urlopen
        _stacktrace=sys.exc_info()[2])
      File "/opt/az/lib/python3.6/site-packages/urllib3/util/retry.py", line 399, in increment
        raise MaxRetryError(_pool, url, error or ResponseError(cause))
    urllib3.exceptions.MaxRetryError: HTTPSConnectionPool(host='arjunas02.file.core.windows.net', port=443): Max retries exceeded with url: /arjunfs02?restype=directory&comp=list&maxresults=5000 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f20cf182358>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/common/storageclient.py", line 321, in _perform_request
        response = self._httpclient.perform_request(request)
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/common/_http/httpclient.py", line 92, in perform_request
        proxies=self.proxies)
      File "/opt/az/lib/python3.6/site-packages/requests/sessions.py", line 533, in request
        resp = self.send(prep, **send_kwargs)
      File "/opt/az/lib/python3.6/site-packages/requests/sessions.py", line 646, in send
        r = adapter.send(request, **kwargs)
      File "/opt/az/lib/python3.6/site-packages/requests/adapters.py", line 516, in send
        raise ConnectionError(e, request=request)
    requests.exceptions.ConnectionError: HTTPSConnectionPool(host='arjunas02.file.core.windows.net', port=443): Max retries exceeded with url: /arjunfs02?restype=directory&comp=list&maxresults=5000 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f20cf182358>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    During handling of the above exception, another exception occurred:

    Traceback (most recent call last):
      File "/opt/az/lib/python3.6/site-packages/knack/cli.py", line 206, in invoke
        cmd_result = self.invocation.execute(args)
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/commands/__init__.py", line 603, in execute
        raise ex
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/commands/__init__.py", line 661, in _run_jobs_serially
        results.append(self._run_job(expanded_arg, cmd_copy))
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/commands/__init__.py", line 654, in _run_job
        six.reraise(*sys.exc_info())
      File "/opt/az/lib/python3.6/site-packages/six.py", line 693, in reraise
        raise value
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/commands/__init__.py", line 631, in _run_job
        result = cmd_copy(params)
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/commands/__init__.py", line 306, in __call__
        return self.handler(*args, **kwargs)
      File "/opt/az/lib/python3.6/site-packages/azure/cli/core/__init__.py", line 485, in default_command_handler
        return op(**command_args)
      File "/opt/az/lib/python3.6/site-packages/azure/cli/command_modules/storage/operations/file.py", line 35, in list_share_files
        share_name, directory_name, timeout=timeout, num_results=num_results, marker=marker, snapshot=snapshot)
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/file/fileservice.py", line 1214, in list_directories_and_files
        resp = self._list_directories_and_files(*args, **kwargs)
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/file/fileservice.py", line 1264, in _list_directories_and_files
        operation_context=_context)
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/common/storageclient.py", line 430, in _perform_request
        raise ex
      File "/opt/az/lib/python3.6/site-packages/azure/multiapi/storage/v2018_11_09/common/storageclient.py", line 361, in _perform_request
        raise _wrap_exception(ex, AzureException)
    azure.common.AzureException: HTTPSConnectionPool(host='arjunas02.file.core.windows.net', port=443): Max retries exceeded with url: /arjunfs02?restype=directory&comp=list&maxresults=5000 (Caused by NewConnectionError('<urllib3.connection.VerifiedHTTPSConnection object at 0x7f20cf182358>: Failed to establish a new connection: [Errno -2] Name or service not known',))

    To open an issue, please run: 'az feedback'
    mallikarjuna@Azure:~/clouddrive$ az feedback

    We appreciate your feedback!

    For more information on getting started, visit: aka.ms/azcli/get-started
    If you have questions, visit our Stack Overflow page: aka.ms/azcli/questions

    Recent commands:

       [0] create a generic issue.
       [1] az storage file list        : FAILURE. Ran: 9 hrs 06 mins ago.
       [2] az storage file list        : FAILURE. Ran: 9 hrs 05 mins ago.
       [3] az storage file list        : FAILURE. Ran: 9 hrs 05 mins ago.
       [4] az login                    : SUCCESS. Ran: 10 mins ago.
       [5] az account set              : SUCCESS. Ran: 10 mins ago.
       [6] az storage account keys list: FAILURE. Ran: 5 mins ago.
       [7] az storage account keys list: SUCCESS. Ran: 5 mins ago.
       [8] az storage file list        : FAILURE. Ran: 3 mins ago.
       [9] az storage file list        : FAILURE. Ran: 1 mins ago.

    Enter the number of the command you would like to create an issue for. Enter q to quit: 8


    BEGIN TEMPLATE
    ===============
    **If possible, a browser will be opened to aka.ms/azcli/issues to create an issue.**
    **You can also run `az feedback --verbose` to emit the full issue draft to stderr.**
    **Azure CLI repo: aka.ms/azcli/issues**
    **Azure CLI Extensions repo: aka.ms/azcli/ext/issues**

    There isn't an available browser to create an issue draft. You can copy and paste the url below in a browser to submit.

    https://github.com/azure/azure-cli/issues/new?body=%0A%0A%23%23%23+%2A%2AThis+is+autogenerated.+Please+review+and+update+as+needed.%2A%2A%0A%0A%23%23+Describe+the+bug%0A%0A%2A%2ACommand+Name%2A%2A%0A%60az+storage+file+list%60%0A%0A%2A%2AErrors%3A%2A%2A%0A%60%60%60%0AHTTPSConnectionPool%28host%3D%27arjunas02.file.core.windows.net%27%2C+port%3D443%29%3A+Max+retries+exceeded+with+url%3A+%2Farjunfs02%3Frestype%3Ddirectory%26comp%3Dlist%26maxresults%3D5000+%28Caused+by+NewConnectionError%28%27%3Curllib3.connection.VerifiedHTTPSConnection+object+at+0x7f9faa7c6240%3E%3A+Failed+to+establish+a+new+connection%3A+%5BErrno+-2%5D+Name+or+service+not+known%27%2C%29%29%0ATraceback+%28most+recent+call+last%29%3A%0Apython3.6%2Fsite-packages%2Furllib3%2Fconnection.py%2C+ln+160%2C+in+_new_conn%0A++++%28self._dns_host%2C+self.port%29%2C+self.timeout%2C+%2A%2Aextra_kw%29%0A...%0A++++raise+_wrap_exception%28ex%2C+AzureException%29%0Aazure.common.AzureException%3A+HTTPSConnectionPool%28host%3D%27arjunas02.file.core.windows.net%27%2C+port%3D443%29%3A+Max+retries+exceeded+with+url%3A+%2Farjunfs02%3Frestype%3Ddirectory%26comp%3Dlist%26maxresults%3D5000+%28Caused+by+NewConnectionError%28%27%3Curllib3.connection.VerifiedHTTPSConnection+object+at+0x7f9faa7c6240%3E%3A+Failed+to+establish+a+new+connection%3A+%5BErrno+-2%5D+Name+or+service+not+known%27%2C%29%29%0A%60%60%60%0A%0A%23%23+To+Reproduce%3A%0ASteps+to+reproduce+the+behavior.+Note+that+argument+values+have+been+redacted%2C+as+they+may+contain+sensitive+information.%0A%0A-+_Put+any+pre-requisite+steps+here..._%0A-+%60az+storage+file+list+--account-key+%7B%7D+--account-name+%7B%7D+--share-name+%7B%7D+--output+%7B%7D%60%0A%0A%23%23+Expected+Behavior%0A%0A%23%23+Environment+Summary%0A%60%60%60%0ALinux-4.15.0-1061-azure-x86_64-with-debian-stretch-sid%0APython+3.6.5%0AShell%3A+bash%0A%0Aazure-cli+2.0.75%0A%0A%60%60%60%0A%23%23+Additional+Context%0A%0A%3C%21--Please+don%27t+remove+this%3A--%3E%0A%3C%21--auto-generated--%3E%0A%0A&template=Bug_report.md

    Thanks for your feedback!
    arjuna@Azure:~/clouddrive$
    Friday, October 25, 2019 9:05 AM
  • @treddy  Can you try to refresh the access key or use the Azure Storage  second access key and check. If the issue still persists, Can you send me the screen shot of the error message and uploaded files in the Portal.  Could you please reach to me via AZCommunity[AT]microsoft.com with a link to this Issue as well as your subscription ID. I would like to work closely on this issue. 
    Friday, October 25, 2019 9:47 AM
  • Is there any update on the issue?

    If the suggested answer helped for your issue, do click on "Mark as Answer" and “Vote as Helpful” on the post that helps you, this can be beneficial to other community members.

    Tuesday, October 29, 2019 11:14 AM
  •  @treddy Just checking in to see if the above answer helped. If this answers your query, do click “Mark as Answer” and Up-Vote for the same, which might be beneficial to other community members reading this thread. And, if you have any further query do let us know.
    Thursday, October 31, 2019 3:23 PM